/*
 * =====================================================================================
 *
 *       Filename:  debug.c
 *
 *    Description:  Debugging functions
 *
 *        Version:  1.0
 *        Created:  27/04/2017 12:58:37
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Jerome Benoit (fraggle), jerome.benoit@piment-noir.org
 *   Organization:  Piment Noir
 *
 * =====================================================================================
 */

#include <string.h>

#include "othello.h"
#include "debug.h"

#if DEBUG
void display_array(int base_y, int base_x, unsigned int pawn_array[board_size][board_size]) {

    for (int i = 1; i <= board_size; i++) {
        mvprintw(base_y + i, base_x, "%d", i);
        for (int j = 1; j <= board_size; j++) {
            mvprintw(base_y, base_x + j, "%d", j);
            mvprintw(base_y + i, base_x + j, "%d", get_box_value(i, j, pawn_array));
        }
    }
}
#else
void display_array(int base_y, int base_x, unsigned int pawn_array[board_size][board_size]) { }
#endif /* DEBUG */
